# Prevent brp-java-repack-jars from being run.
%global __jar_repack %{nil}
%global namedtag RELEASE801

Name:           netbeans-javaparser
Version:        8.0.1
Release:        3%{?dist}
Summary:        NetBeans Java Parser
License:        GPLv2 with exceptions
Url:            http://netbeans.org/
# The source for this package was pulled from upstream's vcs.  Use the
# following commands to generate the tarball:
# hg clone http://hg.netbeans.org/main/nb-javac/
# cd nb-javac/
# hg update -r release801_base
# hg archive ../netbeans-javaparser-8.0.1.tar.gz
Source0:        %{name}-%{version}.tar.gz

BuildRequires:  ant
BuildRequires:  java-devel >= 1:1.6.0
BuildRequires:  jpackage-utils

Requires:       java-headless
Requires:       jpackage-utils

BuildArch:      noarch

%description
Java parser to analyze Java source files inside of the NetBeans IDE

%prep
%setup -q
# remove all binary libs
find . -name "*.class" -delete
find . -name "*.jar" -delete

%build
%ant -f make/netbeans/nb-javac/build.xml jar

%install

# jar
install -dm 755 %{buildroot}%{_javadir}
install -m 644 make/netbeans/nb-javac/dist/javac-api.jar %{buildroot}%{_javadir}/%{name}-api.jar
install -m 644 make/netbeans/nb-javac/dist/javac-impl.jar %{buildroot}%{_javadir}/%{name}-impl.jar

%add_maven_depmap org.netbeans.external:nb-javac-api:%{namedtag} %{name}-api.jar
%add_maven_depmap org.netbeans.external:nb-javac-impl:%{namedtag} %{name}-impl.jar

%files -f .mfiles
%doc ASSEMBLY_EXCEPTION LICENSE README
%{_javadir}/*.jar

%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 8.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 8.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Nov 25 2014 gil cattaneo <puntogil@libero.it> 8.0.1-1
- update to 8.0.1
- add maven metadata
- adapt to current guideline

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 7.0.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Feb 24 2014 Omair Majid <omajid@redhat.com> - 7.0.1-7
- Require java-headless

* Sat Aug 31 2013 Mat Booth <fedora@matbooth.co.uk> - 7.0.1-6
- Drop unnecessary BR on ant-nodeps, rhbz #992347

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 7.0.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 7.0.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 7.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 7.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Oct 28 2011 Omair Majid <omajid@redhat.com> - 7.0.1-1
- Update to 7.0.1

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jul 20 2010 Victor G. Vasilyev <victor.vasilyev@sun.com> 6.9-1
- re-base 6.9

* Tue Jan 26 2010 Victor G. Vasilyev <victor.vasilyev@sun.com> 6.8-1
- re-base 6.8

* Wed Dec 24 2008 Victor G. Vasilyev <victor.vasilyev@sun.com> 6.7.1-1
- re-base 6.7.1

* Wed Dec 24 2008 Victor G. Vasilyev <victor.vasilyev@sun.com> 6.5-1
- New vesion of sources
- Call of the brp-java-repack-jars script is disabled

* Wed Aug 13 2008 Victor G. Vasilyev <victor.vasilyev@sun.com> 6.1-2
- java-devel & jpackage-utils are added as the build requirements
- jpackage-utils is added as the run-time requirement
- An appropriate value of Group Tag is chosen from the official list
- The package documentation is added

* Fri Jul 11 2008 Victor G. Vasilyev <victor.vasilyev@sun.com> 6.1-1
- Use ant build.xml updated for 6.1
- Sources for 6.1
- Changing for Fedora
* Wed Jan 23 2008 Jaroslav Tulach <jtulach@mandriva.org> 6.0-3mdv2008.1
+ Revision: 157149
- Updated to new upstream source package

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Dec 16 2007 Anssi Hannula <anssi@mandriva.org> 0:6.0-2mdv2008.1
+ Revision: 120969
- buildrequire java-rpmbuild, i.e. build with icedtea on x86(_64)

* Tue Dec 11 2007 Jaroslav Tulach <jtulach@mandriva.org> 0:6.0-1mdv2008.1
+ Revision: 117585
- Initial version of the NetBeans javaparser library
- create libnb-javaparser
